aboutsummaryrefslogtreecommitdiff
path: root/bin/all/color_test
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2023-02-03 14:39:07 -0600
committerMatt Singleton <matt@xcolour.net>2023-02-03 14:39:07 -0600
commite9dc4c1090abb01317847c417b75d3960f3da34d (patch)
tree2fb84cf24675f1294f9f7a33ea949d514844c6f1 /bin/all/color_test
parent969f76a8238e2d43a25740c8272bf635d436f0d3 (diff)
only install platform-appropriate configs based on uname
Diffstat (limited to 'bin/all/color_test')
-rwxr-xr-xbin/all/color_test32
1 files changed, 32 insertions, 0 deletions
diff --git a/bin/all/color_test b/bin/all/color_test
new file mode 100755
index 0000000..6d6b6aa
--- /dev/null
+++ b/bin/all/color_test
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Based on Daniel Crisman's ANSI color chart script from
+# The Bash Prompt HOWTO: 6.1. Colours
+# http://www.tldp.org/HOWTO/Bash-Prompt-HOWTO/x329.html
+#
+# This function echoes a bunch of color codes to the
+# terminal to demonstrate what's available. Each
+# line is the color code of one forground color,
+# out of 17 (default + 16 escapes), followed by a
+# test use of that color on all nine background
+# colors (default + 8 escapes).
+
+set -euo pipefail
+
+T='gYw' # The test text
+
+echo -e "\n def 40m 41m 42m 43m 44m 45m 46m 47m";
+
+for FGs in ' m' ' 1m' ' 30m' '1;30m' ' 31m' '1;31m' ' 32m' \
+ '1;32m' ' 33m' '1;33m' ' 34m' '1;34m' ' 35m' '1;35m' \
+ ' 36m' '1;36m' ' 37m' '1;37m';
+
+ do FG=${FGs// /}
+ echo -en " $FGs \033[$FG $T "
+
+ for BG in 40m 41m 42m 43m 44m 45m 46m 47m;
+ do echo -en "\033[$FG\033[$BG $T \033[0m";
+ done
+ echo;
+done
+echo